﻿.table {
    font-size: 16px;
}

.table thead {
    border-top: 1px solid #e0e0e0;
}

.table tbody {
    border-top: none !important;
}

.table-bordered> :not(caption)>* {
    border-width: 0;
}

.table-bordered> :not(caption)>*>* {
    border-width: 1px;
}

.table-focusable:focus {
    outline: none !important;
    box-shadow: none !important;
}

.table td,
.table th {
    padding-top: 0.2rem !important;
    padding-bottom: 0.2rem !important;
    padding-left: 0.5rem !important;
    padding-right: 0.5rem !important;
    line-height: 1.2;
    vertical-align: middle;
}

.table thead th {
    background: linear-gradient(to bottom, #ffffff, #eaf4ff);
    color: #333;
    border-bottom: 1px solid #e0e0e0;
    height: 34px !important;
    font-weight: normal !important;
    position: sticky;
    top: 0;
    z-index: 1;
}

.table-gray thead th {
    background: #6087a9;
    color: #fff;
    border-bottom: 1px solid #0d0f10;
}

.table th.head,
td.head {
    background: #f5f5f5;
    border-right: 1px solid #bdbdbd;
    text-align: left;
}

.table tbody tr {
    height: 30px !important;
    cursor: pointer;
}

.table tbody tr:not(.selected):not(.selected-light):hover>* {
    background-color: #fffefe !important;
}

.table tbody tr.focused>* {
    background-color: #f0f0f0 !important;
}

tbody.selectable tr.selected {
    background-color: #e8f0fe;
}

.table tbody tr.selected>* {
    background-color: #228ad6 !important;
    color: white !important;
}

table tbody tr.selected-light>* {
    background-color: #e9f7ff !important;
}

.table tbody tr.locked>* {
    background-color: #efefef !important;
    cursor: default !important;
}

.table tbody tr.locked:hover>* {
    background-color: #efefef !important;
}

.icon-btn {
    background: none;
    border: none;
    cursor: pointer;
    color: #808080;
    font-size: 15px;
}

.icon-btn:hover {
    color: #dc3545;
}